/*******************************************************************************
 * Copyright (c) 2006 Oracle. All rights reserved.
 * This program and the accompanying materials are made available under the terms of
 * the Eclipse Public License v1.0, which accompanies this distribution and is available at
 * http://www.eclipse.org/legal/epl-v10.html.
 ******************************************************************************/
package org.eclipse.dali.example.jsf.inventory.model;

import java.sql.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Version;

@Entity
@NamedQueries({
	@NamedQuery(
			name="shippingOrdersForItem", 
			query="select o from Order o JOIN o.item i where i.SKU = :itemId and o.arrivalDate is not null"),
	@NamedQuery(
			name="pendingOrdersForItem", 
			query="select o from Order o where o.item.SKU = :itemId and o.arrivalDate is null")
})
@Table(name="ORDER_TABLE")
public class Order {
	protected Date arrivalDate;
	protected String currentLocation;
	@OneToOne
	protected Item item;
	@Id
	@GeneratedValue
	protected long orderId;
	protected Date orderInitiated;
	protected int quantity;
	@Version
	protected int version;
	
	public Date getArrivalDate() {
		return arrivalDate;
	}
	public void setArrivalDate(Date arrivalDate) {
		this.arrivalDate = arrivalDate;
	}
	public String getCurrentLocation() {
		return currentLocation;
	}
	public void setCurrentLocation(String currentLocation) {
		this.currentLocation = currentLocation;
	}
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public long getOrderId() {
		return orderId;
	}
	public void setOrderId(long orderId) {
		this.orderId = orderId;
	}
	public Date getOrderInitiated() {
		return orderInitiated;
	}
	public void setOrderInitiated(Date orderInitiated) {
		this.orderInitiated = orderInitiated;
	}
	public int getQuantity() {
		return quantity;
	}
	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

}
